commit:     4010bf7be8f77c360e1f5034f0598d5d369e4fad
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 27 21:54:44 2025 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Jan 27 21:54:44 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4010bf7b

net-dns/ddclient: add 4.0.0

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-dns/ddclient/Manifest              |  1 +
 net-dns/ddclient/ddclient-4.0.0.ebuild | 85 ++++++++++++++++++++++++++++++++++
 2 files changed, 86 insertions(+)

diff --git a/net-dns/ddclient/Manifest b/net-dns/ddclient/Manifest
index 56587389a3d2..273aa0173ecf 100644
--- a/net-dns/ddclient/Manifest
+++ b/net-dns/ddclient/Manifest
@@ -1 +1,2 @@
 DIST ddclient-3.11.2.tar.gz 278314 BLAKE2B 
5e60d8ab0889fbfe03cf182faf025b84faa6a5c278d0c0c1fd45c0bab88828bc3ebacdadac44d1cbd71202f1eff79a7ae0ffcb668992ad54f71e36f8c2f74333
 SHA512 
b0d275f5ccc36cd8b532b6176de885696ff189dbdffa71bc63e9fa6db2aaf4ab5ff3290c251e318f05b2163c546dcc785eb3582388d9fb70e8439e35e5cbcd7f
+DIST ddclient-4.0.0.tar.gz 301499 BLAKE2B 
16cb19ee4d9f30b8da1d8e05cb17aabdf41039d6eb72c66c64c996146918d2f694b50b8364d08ff753911f189af2a5d3f1141a037a1d5fc886fd7cda7a2a1bd3
 SHA512 
095723aa43c4f08d7e3aa46c0bc47e753fdcbcb2cd0ac5f77cd687f98694985ad70e2f6509c05aaa232d0412fcb0aef8bb07a6d9e4302130ab1db047c14e1e86

diff --git a/net-dns/ddclient/ddclient-4.0.0.ebuild 
b/net-dns/ddclient/ddclient-4.0.0.ebuild
new file mode 100644
index 000000000000..d032d58f08e2
--- /dev/null
+++ b/net-dns/ddclient/ddclient-4.0.0.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools optfeature systemd tmpfiles
+
+DESCRIPTION="Perl client used to update dynamic DNS entries"
+HOMEPAGE="https://ddclient.net/";
+SRC_URI="https://github.com/${PN}/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="examples selinux test"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+       acct-group/ddclient
+       acct-user/ddclient
+       dev-lang/perl
+       net-misc/curl
+       dev-perl/Digest-SHA1
+       virtual/perl-Digest-SHA
+       virtual/perl-JSON-PP
+       selinux? ( sec-policy/selinux-ddclient )
+"
+
+BDEPEND="
+       test? (
+               dev-perl/HTTP-Daemon
+               dev-perl/HTTP-Daemon-SSL
+               dev-perl/Plack
+               dev-perl/Test-MockModule
+               dev-perl/Test-Warnings
+       )
+"
+
+src_prepare() {
+       default
+
+       # Remove PID setting, to reliably setup the environment for the init 
script
+       sed -e '/^pid/d' -i ddclient.conf.in || die
+
+       # Disable 'get_ip_from_if.pl' test, as it fails with network-sandbox
+       # Don't create cache directory, as it's created by init script / 
tmpfiles
+       sed -e '/get_ip_from_if.pl/d' -e '/MKDIR_P/d' -i Makefile.am || die
+
+       # Remove windows executable
+       if use examples; then
+               rm sample-etc_dhcpc_dhcpcd-eth0.exe || die
+       fi
+
+       eautoreconf
+}
+
+src_configure() {
+       myeconfargs=(
+               --with-confdir="${EPREFIX}/etc"
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       default
+
+       newinitd "${FILESDIR}"/ddclient.initd-r7 ddclient
+       systemd_newunit "${FILESDIR}"/ddclient.service-r2 ddclient.service
+       newtmpfiles "${FILESDIR}"/ddclient.tmpfiles-r1 ddclient.conf
+
+       if use examples; then
+               docinto examples
+               dodoc sample-*
+       fi
+
+       einstalldocs
+}
+
+pkg_postinst() {
+       optfeature "using iproute2 instead if ifconfig." sys-apps/iproute2
+       tmpfiles_process ddclient.conf
+}

Reply via email to